[OSM-dev] Problem making database on current rails_port

Andy Allan gravitystorm at gmail.com
Fri Apr 25 14:46:29 BST 2008


On Fri, Apr 25, 2008 at 2:35 PM, Christopher Schmidt
<crschmidt at metacarta.com> wrote:

>  If you're running ubuntu, the description on
>  http://wiki.openstreetmap.org/index.php/The_Rails_Port actually works
>  flawlessly: Having never installed or touched rails before, I was able
>  to get a dev server up and running (once someone packaged up the
>  externals for me) within an hour. I was pretty impressed with the level
>  of work that had been put into it.

It's pretty good, but it's not entirely right (well, not for Hardy
anyway). You can't call something flawless when there's gems not
mentioned, the mysql functions aren't found after compiling them, and
so on. It's pretty good though, I'm pretty sure I've got there now.
Better than the "how to install rails on ubuntu" wiki page that it
links to, which is a confusing mess.

Also, this twin combinations of externals being missing and gems
needing specific versions raises the bar too. I've found today that
gem install won't install an older version unless you restate the gem
archive url using the --source parameter, which is a bit bizarre. Ho
hum.

>  (If you're not running Ubuntu/Debian, well, whose mistake is that? :)

As if - I'm not as daft as I look! I do wish that they could sort this
whole gems packaging thing out, but that's been going on for years
without a sensible resolution.

Cheers,
Andy

>  Regards,
>  --
>  Christopher Schmidt
>  MetaCarta
>




More information about the dev mailing list